OpenSSL Functions
Database Extensions
OpenSSL Functions
PHP Manual

# openssl_x509_read

(PHP 4 >= 4.0.6, PHP 5)

openssl_x509_read — Parse an X.509 certificate and return a resource identifier for it

### Description

resource openssl_x509_read ( mixed `$x509certdata` )

openssl_x509_read() parses the certificate supplied by `x509certdata` and returns a resource identifier for it.

### Parameters

`x509certdata`

### Return Values

Returns a resource identifier on success, or `FALSE` on failure.

OpenSSL Functions
Database Extensions
OpenSSL Functions
PHP Manual